Page MenuHomePhabricator

ecore_timer: add NULL checking for timer data.
ClosedPublic

Authored by eagleeye on Nov 21 2019, 3:39 AM.

Details

Summary

When timer is not created, a crash occurs.
For example, when user create ecore timer in the pthread..
Of course this is not the correct usage, but printing ERR message is enough.

Test Plan

ecore_timer_add in thread.

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
eagleeye created this revision.Nov 21 2019, 3:39 AM

It seems that this patch has no reviewers specified. If you are unsure who can review your patch, please check this wiki page and see if anyone can be added: https://phab.enlightenment.org/w/maintainers_reviewers/

eagleeye requested review of this revision.Nov 21 2019, 3:39 AM
ProhtMeyhet added inline comments.
src/lib/ecore/ecore_timer.c
19

Isn't there a space too much before the td?

eagleeye updated this revision to Diff 27051.Nov 22 2019, 1:16 AM

fix indentation

eagleeye marked an inline comment as done.Nov 22 2019, 1:17 AM
bu5hm4n accepted this revision.Nov 26 2019, 6:56 AM
This revision is now accepted and ready to land.Nov 26 2019, 6:56 AM
Closed by commit rEFL09fd7ca8d60f: ecore_timer: add NULL checking for timer data. (authored by Hosang Kim <hosang12.kim@samsung.com>, committed by Marcel Hollerbach <mail@marcel-hollerbach.de>). · Explain WhyNov 26 2019, 7:01 AM
This revision was automatically updated to reflect the committed changes.